io.vertx.ext.hawkular

## Enum MetricsType

- java.lang.Object
- - java.lang.Enum<MetricsType>
  - - io.vertx.ext.hawkular.MetricsType

- All Implemented Interfaces:
    Serializable, Comparable<MetricsType>

      public enum MetricsType
      extends Enum<MetricsType>

  Metrics types for each metrics.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATAGRAM_SOCKET` Type for datagram socket metrics
    `EVENT_BUS` Type for event bus metrics
    `HTTP_CLIENT` Type for http client metrics
    `HTTP_SERVER` Type for http server metrics
    `NAMED_POOLS` Named pools metrics
    `NET_CLIENT` Type for net client metrics
    `NET_SERVER` Type for net server metrics

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NET_SERVER

          public static final MetricsType NET_SERVER

      Type for net server metrics

    - #### NET_CLIENT

          public static final MetricsType NET_CLIENT

      Type for net client metrics

    - #### HTTP_SERVER

          public static final MetricsType HTTP_SERVER

      Type for http server metrics

    - #### HTTP_CLIENT

          public static final MetricsType HTTP_CLIENT

      Type for http client metrics

    - #### DATAGRAM_SOCKET

          public static final MetricsType DATAGRAM_SOCKET

      Type for datagram socket metrics

    - #### EVENT_BUS

          public static final MetricsType EVENT_BUS

      Type for event bus metrics

    - #### NAMED_POOLS

          public static final MetricsType NAMED_POOLS

      Named pools metrics

  - ### Method Detail

    - #### values

          public static MetricsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricsType c : MetricsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All rights reserved.